:root :where(.wp-block-query) {

	.is-style-post-terms {
		display: flex;
		align-items: center;
		gap: 6px;
		flex-wrap: wrap;

		a {
			border-radius: 9999px;
			border-width: 0;
			border-style: solid;
			color: var(--wp--preset--color--sky-800);
			padding: 6px 12px;
			font-size: 12px;
			line-height: 1.3;
			font-weight: 400;
			text-decoration: none;
			background-color: var(--wp--preset--color--sky-50);
		}

		.wp-block-post-terms__separator {
			display: none;
		}
	}

	.wp-block-post-date {
		font-size: 12px;
		display: flex;
		align-items: center;
		color: var(--wp--preset--color--slate-600);

		&::before {
			content: "";
			display: inline-block;
			width: 14px;
			height: 14px;
			margin-right: 6px;
			background-repeat: no-repeat;
			background-size: contain;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.66634 0.583328C4.98851 0.583328 5.24967 0.844495 5.24967 1.16666V3.49999C5.24967 3.82216 4.98851 4.08333 4.66634 4.08333C4.34418 4.08333 4.08301 3.82216 4.08301 3.49999V1.16666C4.08301 0.844495 4.34418 0.583328 4.66634 0.583328Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M9.33333 0.583328C9.6555 0.583328 9.91667 0.844495 9.91667 1.16666V3.49999C9.91667 3.82216 9.6555 4.08333 9.33333 4.08333C9.01117 4.08333 8.75 3.82216 8.75 3.49999V1.16666C8.75 0.844495 9.01117 0.583328 9.33333 0.583328Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M2.91699 2.91667C2.59483 2.91667 2.33366 3.17783 2.33366 3.5V11.6667C2.33366 11.9888 2.59483 12.25 2.91699 12.25H11.0837C11.4058 12.25 11.667 11.9888 11.667 11.6667V3.5C11.667 3.17783 11.4058 2.91667 11.0837 2.91667H2.91699ZM1.16699 3.5C1.16699 2.5335 1.95049 1.75 2.91699 1.75H11.0837C12.0502 1.75 12.8337 2.5335 12.8337 3.5V11.6667C12.8337 12.6332 12.0502 13.4167 11.0837 13.4167H2.91699C1.95049 13.4167 1.16699 12.6332 1.16699 11.6667V3.5Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M1.16699 5.83333C1.16699 5.51117 1.42816 5.25 1.75033 5.25H12.2503C12.5725 5.25 12.8337 5.51117 12.8337 5.83333C12.8337 6.1555 12.5725 6.41667 12.2503 6.41667H1.75033C1.42816 6.41667 1.16699 6.1555 1.16699 5.83333Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.08301 8.16666C4.08301 7.8445 4.34418 7.58333 4.66634 7.58333H4.67217C4.99434 7.58333 5.25551 7.8445 5.25551 8.16666C5.25551 8.48883 4.99434 8.74999 4.67217 8.74999H4.66634C4.34418 8.74999 4.08301 8.48883 4.08301 8.16666Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M6.41699 8.16666C6.41699 7.8445 6.67816 7.58333 7.00033 7.58333H7.00616C7.32833 7.58333 7.58949 7.8445 7.58949 8.16666C7.58949 8.48883 7.32833 8.74999 7.00616 8.74999H7.00033C6.67816 8.74999 6.41699 8.48883 6.41699 8.16666Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M8.75 8.16666C8.75 7.8445 9.01117 7.58333 9.33333 7.58333H9.33917C9.66133 7.58333 9.9225 7.8445 9.9225 8.16666C9.9225 8.48883 9.66133 8.74999 9.33917 8.74999H9.33333C9.01117 8.74999 8.75 8.48883 8.75 8.16666Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.08301 10.5C4.08301 10.1778 4.34418 9.91667 4.66634 9.91667H4.67217C4.99434 9.91667 5.25551 10.1778 5.25551 10.5C5.25551 10.8222 4.99434 11.0833 4.67217 11.0833H4.66634C4.34418 11.0833 4.08301 10.8222 4.08301 10.5Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M6.41699 10.5C6.41699 10.1778 6.67816 9.91667 7.00033 9.91667H7.00616C7.32833 9.91667 7.58949 10.1778 7.58949 10.5C7.58949 10.8222 7.32833 11.0833 7.00616 11.0833H7.00033C6.67816 11.0833 6.41699 10.8222 6.41699 10.5Z' fill='%23475569'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M8.75 10.5C8.75 10.1778 9.01117 9.91667 9.33333 9.91667H9.33917C9.66133 9.91667 9.9225 10.1778 9.9225 10.5C9.9225 10.8222 9.66133 11.0833 9.33917 11.0833H9.33333C9.01117 11.0833 8.75 10.8222 8.75 10.5Z' fill='%23475569'/%3E%3C/svg%3E");
		}
	}

	.wp-block-query-pagination {
		gap: 32px;

		.wp-block-query-pagination-numbers {

			.page-numbers {
				background-color: var(--wp--preset--color--slate-100);
				margin-left: 8px;
				margin-top: 4px;
				margin-bottom: 4px;

				@media (min-width: 768px) {
					margin-top: 0;
					margin-bottom: 0;
				}

				&.current {
					background-color: var(--wp--preset--color--slate-200) !important;
				}

				&:first-child {
					margin-left: 0;
				}
			}
		}

		.wp-block-query-pagination-previous,
		.wp-block-query-pagination-next {
			display: flex;
			align-items: center;
			justify-content: center;
			border-radius: 14px;

			.wp-block-query-pagination-previous-arrow {
				margin-right: 0;
			}

			.wp-block-query-pagination-next-arrow {
				margin-left: 0;
			}

		}

		.wp-block-query-pagination-numbers .page-numbers,
		.wp-block-query-pagination-previous,
		.wp-block-query-pagination-next {
			width: 30px;
			height: 30px;
			border: 2px solid var(--wp--preset--color--slate-200);

			@media (min-width: 768px) {
				width: 48px;
				height: 48px;
			}
		}

		.wp-block-query-pagination-previous:not(:has(.wp-block-query-pagination-prevoius-arrow)),
		.wp-block-query-pagination-next:not(:has(.wp-block-query-pagination-next-arrow)) {
			font-size: 12px;
			text-align: center;
		}
	}
}
